<template>
  <header class="header">
    <div class="container">
      <ul class="header__menu header-menu">
        <li v-for="(item, key) in menu" :key="key" class="header-menu__item">
          <NuxtLink
            v-if="!item.roles || hasRoles(item.roles)"
            :to="item.to"
            class="header-menu__link"
          >
            {{ item.name }}
          </NuxtLink>
        </li>
      </ul>
    </div>
  </header>
</template>

<script lang="ts" setup>
import { useUserStore, UserRole } from '~/stores/user'

const userStore = useUserStore()
const { hasRoles } = userStore
const { user } = storeToRefs(userStore)

const menu = [
  {
    name: 'Главная',
    to: '/'
  },
  {
    name: 'Управление пользователями',
    to: '/admin/users',
    roles: [UserRole.ADMIN]
  },
  {
    name: 'Управление событиями',
    to: '/admin/users',
    roles: [UserRole.ADMIN]
  }
]
</script>

<style lang="scss" scoped>
.header {
  margin: 1rem 0;
}

.header-menu {
  display: flex;
  width: 100%;
  gap: 1rem;

  &__item {
    display: flex;
  }
}
</style>
